################################################
### The geometry and material properties of  ###
### the actuator can be changed in this file ###
################################################

#TUBE GEOMETRY		
RAD_INT=6.35			#Internal radius of actuator
RAD_EXT=8.35			#External radius of actuator
THICK_CAP=5.0			#thickness of actuator cap

SEGTYPES=['twist','bend','extend','bend','extend','bend','extend'] #segment types 
SEGLENGTHS=[25.0,15.0,20.0,30.0,15.0,22.0,17.0]#length of each segment
ALPHA = [5.0,5.0,41.0,5.0,50.0,5.0,47.0] #fiber angle for each segment in degrees

#FIBER GEOMETRY
FIBER_R=0.0889			#cross-section radius of fiber

#ELASTOMER PROPERTIES
ELAST_MAT1=(0.0425, 0.0, 0.0, 0.0, 0.0, 0.0) #Dragon Skin 10
ELAST_MAT2=(0.34, 0.0, 0.0, 0.0, 0.0, 0.0) #Smooth-Sil 950

#FIBER PROPERTIES 
FIBER_E=31067.0		#Young's modulus of fibers
FIBER_V=0.36		#Poisson's ratio of fibers

#APPLIED PRESSURE
PRESSURE=0.055

#JOB NAME
JOBNAME='segmented_actuator'

##################################################
# Don't change anything below this line
##################################################
NUMSEGS=len(SEGTYPES)		#number of segments
FIBERSEGLENGTHS=SEGLENGTHS
FIBER_LEN_INIT = 1.0 #length at top and bottom of the actuator which is not surrounded by fiber
FIBERSEGLENGTHS[0]=SEGLENGTHS[0]+THICK_CAP-FIBER_LEN_INIT

LEN_ACT=sum(SEGLENGTHS)+2.0*THICK_CAP			#Length of actuator


